<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;
use App\Http\Middleware\DistAuth;
use Illuminate\Http\Request;

/**
 * 原后台框架路由
 */
Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {


    //主页
    $router->get('/', 'HomeController@index');
    //产品
    $router->get('base-product/parameter', 'DistProductController@parameter');
    $router->resource('dist-product', 'DistProductController');
    //分类
    $router->resource('product-category', 'DistProductCategoryController');
    //参数
    $router->resource('product-parameter', 'DistProductParameterController');
    //视频分类
    $router->resource('video-category', 'DistVideoCategoryController');
    //视频管理
    $router->resource('dist-video', 'DistVideoController');

    //产品导入
    $router->resource('import-product', 'importProductController');
});





